comp.lang.ada
 help / color / Atom feed
* Undefined reference in gtkada
@ 2020-08-15 12:00 hreba
  2020-09-03  4:30 ` linda white
  0 siblings, 1 reply; 2+ messages in thread
From: hreba @ 2020-08-15 12:00 UTC (permalink / raw)


My platform is a PC running Linux Mint 20 with a fresh install of GNAT 
and gtkada 2020 from the Adacore community site.

Before executing the script gtkada-env.sh, I have

ldd /usr/lib/x86_64-linux-gnu/libpng16.so.16
	linux-vdso.so.1 (0x00007ffeb55a4000)
	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f61f24db000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f61f238c000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f61f219a000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f61f255b000)

Everything ok. Afterwards I get

ldd /usr/lib/x86_64-linux-gnu/libpng16.so.16
/usr/lib/x86_64-linux-gnu/libpng16.so.16: /opt/GNAT/2020/lib/libz.so.1: 
version `ZLIB_1.2.9' not found (required by 
/usr/lib/x86_64-linux-gnu/libpng16.so.16)
	linux-vdso.so.1 (0x00007ffecbde6000)
	libz.so.1 => /opt/GNAT/2020/lib/libz.so.1 (0x00007f49c989e000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f49c9725000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f49c9533000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f49c9af1000)

Is that "ZLIB_1.2.9' not found" a gtkada error or must I install 
anything else?
-- 
Frank Hrebabetzky, Kronach	+49 / 9261 / 950 0565

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: Undefined reference in gtkada
  2020-08-15 12:00 Undefined reference in gtkada hreba
@ 2020-09-03  4:30 ` linda white
  0 siblings, 0 replies; 2+ messages in thread
From: linda white @ 2020-09-03  4:30 UTC (permalink / raw)


On Saturday, 15 August 2020 17:30:11 UTC+5:30, hreba  wrote:
> My platform is a PC running Linux Mint 20 with a fresh install of GNAT 
> and gtkada 2020 from the Adacore community site.
> 
> Before executing the script gtkada-env.sh, I have
> 
> ldd /usr/lib/x86_64-linux-gnu/libpng16.so.16
> 	linux-vdso.so.1 (0x00007ffeb55a4000)
> 	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f61f24db000)
> 	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f61f238c000)
> 	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f61f219a000)
> 	/lib64/ld-linux-x86-64.so.2 (0x00007f61f255b000)
> 
> Everything ok. Afterwards I get
> 
> ldd /usr/lib/x86_64-linux-gnu/libpng16.so.16
> /usr/lib/x86_64-linux-gnu/libpng16.so.16: /opt/GNAT/2020/lib/libz.so.1: 
> version `ZLIB_1.2.9' not found (required by 
> /usr/lib/x86_64-linux-gnu/libpng16.so.16)
> 	linux-vdso.so.1 (0x00007ffecbde6000)
> 	libz.so.1 => /opt/GNAT/2020/lib/libz.so.1 (0x00007f49c989e000)
> 	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f49c9725000)
> 	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f49c9533000)
> 	/lib64/ld-linux-x86-64.so.2 (0x00007f49c9af1000)
> 
> Is that "ZLIB_1.2.9' not found" a gtkada error or must I install 
> anything else?
> -- 
> Frank Hrebabetzky, Kronach	+49 / 9261 / 950 0565

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-08-15 12:00 Undefined reference in gtkada hreba
2020-09-03  4:30 ` linda white

comp.lang.ada

Archives are clonable: git clone --mirror https://archive.legitdata.co/comp.lang.ada

Example config snippet for mirrors


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git